import Vue from 'vue';
import VueRouter from 'vue-router';
import store from '@/store/index';
const jwt = require('jsonwebtoken');
const originalPush = VueRouter.prototype.push;
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch((err) => err);
};
Vue.use(VueRouter);
const common = [
  {
    path: '/adminCenter/comBasic/index',
    meta: { title: '基本信息' },
    component: () => import('../views/adminCenter/comBasic/index.vue'),
  },
  {
    path: '/adminCenter/comPad/index',
    meta: { title: '修改密码' },
    component: () => import('../views/adminCenter/comPad/index.vue'),
  },
];
const admin = [
  {
    path: '/adminCenter/adminMech/index',
    meta: { title: '机构用户' },
    component: () => import('../views/adminCenter/adminMech/index.vue'),
  },
  {
    path: '/adminCenter/adminMech/detail',
    meta: { title: '机构用户-信息管理' },
    component: () => import('../views/adminCenter/adminMech/detail.vue'),
  },
  {
    path: '/adminCenter/adminUser/index',
    meta: { title: '平台用户' },
    component: () => import('../views/adminCenter/adminUser/index.vue'),
  },
  {
    path: '/adminCenter/adminUser/detail',
    meta: { title: '平台用户-信息管理' },
    component: () => import('../views/adminCenter/adminUser/detail.vue'),
  },
  {
    path: '/adminCenter/adminUser/register',
    meta: { title: '平台用户-批量信息管理' },
    component: () => import('../views/adminCenter/adminUser/register.vue'),
  },
  {
    path: '/adminCenter/adminAgent/index',
    meta: { title: '代理机构' },
    component: () => import('../views/adminCenter/adminAgent/index.vue'),
  },
  {
    path: '/adminCenter/adminAgent/detail',
    meta: { title: '代理机构-信息管理' },
    component: () => import('../views/adminCenter/adminAgent/detail.vue'),
  },
  {
    path: '/adminCenter/adminTea/index',
    meta: { title: '咨询师' },
    component: () => import('../views/adminCenter/adminTea/index.vue'),
  },
  {
    path: '/adminCenter/adminTea/detail',
    meta: { title: '咨询师-信息管理' },
    component: () => import('../views/adminCenter/adminTea/detail.vue'),
  },
  {
    path: '/adminCenter/adminMessage/notice/index',
    meta: { title: '通知管理' },
    component: () => import('../views/adminCenter/adminMessage/notice/index.vue'),
  },
  {
    path: '/adminCenter/adminMessage/notice/detail',
    meta: { title: '通知管理-编辑通知' },
    component: () => import('../views/adminCenter/adminMessage/notice/detail.vue'),
  },
  {
    path: '/adminCenter/adminMessage/question/index',
    meta: { title: '问题管理' },
    component: () => import('../views/adminCenter/adminMessage/question/index.vue'),
  },
  {
    path: '/adminCenter/adminMessage/examine/index',
    meta: { title: '审核通知' },
    component: () => import('../views/adminCenter/adminMessage/examine/index.vue'),
  },
  {
    path: '/adminCenter/adminMessage/warning/index',
    meta: { title: '专利预警' },
    component: () => import('../views/adminCenter/adminMessage/warning/index.vue'),
  },
  {
    path: '/adminCenter/adminExamine/apply/index',
    meta: { title: '专利申请' },
    component: () => import('../views/adminCenter/adminExamine/apply/index.vue'),
  },
  {
    path: '/adminCenter/adminExamine/bureau/index',
    meta: { title: '国知局反馈信息' },
    component: () => import('../views/adminCenter/adminExamine/bureau/index.vue'),
  },
  {
    path: '/adminCenter/adminExamine/bureau/detail',
    meta: { title: '国知局反馈信息-分发消息' },
    component: () => import('../views/adminCenter/adminExamine/bureau/detail.vue'),
  },
  {
    path: '/adminCenter/adminExamine/search/index',
    meta: { title: '查新检索' },
    component: () => import('../views/adminCenter/adminExamine/search/index.vue'),
  },
  {
    path: '/adminCenter/adminPatent/info/index',
    meta: { title: '专利信息' },
    component: () => import('../views/adminCenter/adminPatent/info/index.vue'),
  },
  {
    path: '/adminCenter/adminPatent/info/detail',
    meta: { title: '专利信息-信息管理' },
    component: () => import('../views/adminCenter/adminPatent/info/detail.vue'),
  },
  {
    path: '/adminCenter/adminPatent/batch/index',
    meta: { title: '专利信息批量处理' },
    component: () => import('../views/adminCenter/adminPatent/batch/index.vue'),
  },
  {
    path: '/adminCenter/adminPatent/value/index',
    meta: { title: '价值评估' },
    component: () => import('../views/adminCenter/adminPatent/value/index.vue'),
  },
  {
    path: '/adminCenter/adminPatent/trans/index',
    meta: { title: '专利交易' },
    component: () => import('../views/adminCenter/adminPatent/trans/index.vue'),
  },
  {
    path: '/adminCenter/adminPatent/trans/detail',
    meta: { title: '专利交易-信息维护' },
    component: () => import('../views/adminCenter/adminPatent/trans/detail.vue'),
  },
  {
    path: '/adminCenter/adminPatent/maintain/index',
    meta: { title: '专利维权' },
    component: () => import('../views/adminCenter/adminPatent/maintain/index.vue'),
  },
  {
    path: '/adminCenter/adminPatent/demand/index',
    meta: { title: '专利需求' },
    component: () => import('../views/adminCenter/adminPatent/demand/index.vue'),
  },
];
const mech = [
  {
    path: '/adminCenter/mechUser/index',
    meta: { title: '平台用户' },
    component: () => import('../views/adminCenter/mechUser/index.vue'),
  },
  {
    path: '/adminCenter/mechMessage/examine/index',
    meta: { title: '审核通知' },
    component: () => import('../views/adminCenter/mechMessage/examine/index.vue'),
  },
  {
    path: '/adminCenter/mechMessage/notice/index',
    meta: { title: '通知管理' },
    component: () => import('../views/adminCenter/mechMessage/notice/index.vue'),
  },
  {
    path: '/adminCenter/mechExamine/apply/index',
    meta: { title: '申请审核' },
    component: () => import('../views/adminCenter/mechExamine/apply/index.vue'),
  },
  {
    path: '/adminCenter/mechExamine/trans/index',
    meta: { title: '交易审核' },
    component: () => import('../views/adminCenter/mechExamine/trans/index.vue'),
  },
  {
    path: '/adminCenter/mechExamine/contract/index',
    meta: { title: '合同审核' },
    component: () => import('../views/adminCenter/mechExamine/contract/index.vue'),
  },
  {
    path: '/adminCenter/mechExamine/file/index',
    meta: { title: '交易归档' },
    component: () => import('../views/adminCenter/mechExamine/file/index.vue'),
  },
  {
    path: '/adminCenter/mechPatent/info/index',
    meta: { title: '专利信息' },
    component: () => import('../views/adminCenter/mechPatent/info/index.vue'),
  },
  {
    path: '/adminCenter/mechPatent/search/index',
    meta: { title: '专利检索' },
    component: () => import('../views/adminCenter/mechPatent/search/index.vue'),
  },
  {
    path: '/adminCenter/mechPatent/warning/index',
    meta: { title: '专利预警' },
    component: () => import('../views/adminCenter/mechPatent/warning/index.vue'),
  },
  {
    path: '/adminCenter/mechTrans/index',
    meta: { title: '专利交易' },
    component: () => import('../views/adminCenter/mechTrans/index.vue'),
  },
];
const user = [
  {
    path: '/adminCenter/userMessage/unread/index',
    meta: { title: '未读信息' },
    component: () => import('../views/adminCenter/userMessage/unread/index.vue'),
  },
  {
    path: '/adminCenter/userMessage/read/index',
    meta: { title: '已读信息' },
    component: () => import('../views/adminCenter/userMessage/read/index.vue'),
  },
  {
    path: '/adminCenter/userMessage/notice/index',
    meta: { title: '通知信息' },
    component: () => import('../views/adminCenter/userMessage/notice/index.vue'),
  },
  {
    path: '/adminCenter/userApply/apply/index',
    meta: { title: '专利申请' },
    component: () => import('../views/adminCenter/userApply/apply/index.vue'),
  },
  {
    path: '/adminCenter/userApply/search/index',
    meta: { title: '查新检索' },
    component: () => import('../views/adminCenter/userApply/search/index.vue'),
  },
  {
    path: '/adminCenter/userApply/value/index',
    meta: { title: '价值评估' },
    component: () => import('../views/adminCenter/userApply/value/index.vue'),
  },
  {
    path: '/adminCenter/userPatent/info/index',
    meta: { title: '专利管理' },
    component: () => import('../views/adminCenter/userPatent/info/index.vue'),
  },
  {
    path: '/adminCenter/userPatent/maintain/index',
    meta: { title: '专利维权' },
    component: () => import('../views/adminCenter/userPatent/maintain/index.vue'),
  },
  {
    path: '/adminCenter/userPatent/warning/index',
    meta: { title: '专利预警' },
    component: () => import('../views/adminCenter/userPatent/warning/index.vue'),
  },
  {
    path: '/adminCenter/userTrans/index',
    meta: { title: '我的交易' },
    component: () => import('../views/adminCenter/userTrans/index.vue'),
  },
  {
    path: '/adminCenter/userService/index',
    meta: { title: '咨询服务' },
    component: () => import('../views/adminCenter/userService/index.vue'),
  },
];
const agent = [
  {
    path: '/adminCenter/agentNotice/index',
    meta: { title: '审核通知' },
    component: () => import('../views/adminCenter/agentNotice/index.vue'),
  },
  {
    path: '/adminCenter/agentExamine/index',
    meta: { title: '专利审核' },
    component: () => import('../views/adminCenter/agentExamine/index.vue'),
  },
  {
    path: '/adminCenter/agentApply/index',
    meta: { title: '专利申请' },
    component: () => import('../views/adminCenter/agentApply/index.vue'),
  },
];
const tea = [
  {
    path: '/adminCenter/teaQuestion/index',
    meta: { title: '问题管理' },
    component: () => import('../views/adminCenter/teaQuestion/index.vue'),
  },
];
const web = [
  {
    path: '/',
    redirect: '/adminCenter/homeIndex',
  },
  // 管理登录
  {
    path: '/login',
    name: 'login',
    meta: { title: '管理登录' },
    component: () => import('../views/login.vue'),
  },
  // 管理中心
  {
    path: '/adminCenter/homeIndex',
    name: 'adminCenter',
    component: () => import('@common/src/components/admin-frame/Home.vue'),
    children: [
      {
        path: '/adminCenter/homeIndex',
        name: 'admin_homeIndex',
        meta: { title: '首页' },
        component: () => import('../views/adminCenter/homeIndex/index.vue'),
      },
      ...admin, // 管理用户
      ...mech, // 机构用户
      ...user, // 平台用户
      ...agent, // 代理机构
      ...tea, //咨询师
      ...common, // 公共
    ],
  },
];
const routes = [...web];
const router = new VueRouter({
  mode: 'history',
  base: process.env.VUE_APP_ROUTER,
  routes,
});
router.beforeEach((to, from, next) => {
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  if (to.path == '/adminCenter/homeIndex') {
    if (!token) {
      next('/login');
      // next();
    } else {
      let user = jwt.decode(token);
      store.commit('setUser', user, { root: true });
      next();
    }
  } else {
    let user = jwt.decode(token);
    store.commit('setUser', user, { root: true });
    next();
  }
});

export default router;
